<!DOCTYPE html>
<html>    
    <head> <!-- Entête HTML -->
        <meta charset="utf-8" />
        <title>Un exemple d'interrogation d'une base MySQL</title>
        <!-- Feuille de style pour le tableau --> 
        <style>
          table, th, td {
             border: 1px solid black;
             border-collapse: collapse;
          } 
          th, td {
            padding: 5px;
            text-align: left;    
          }
        </style>
    </head>
    <body>
      <table style="width:50%"> <!-- Début du tableau -->
      <caption>Retour de la requête SQL</caption>
      <thead> <!-- En-tête du tableau -->
       <tr>
           <th>ID</th>
           <th>Nom</th>
           <th>Prénom</th>
           <th>Age</th>
       </tr>
      </thead>
       <tr>
    <!-- Début du programme PHP -->
    <?php
      // --- on récupère la donnée ---
      $nom=$_POST['nom'];
      // --- on traite la donnée ---
      $nom=strtoupper($nom);
      // --- Requêtes SQL ---
      $bdd = new PDO('mysql:host=localhost;dbname=CoursPHP', 'root', 'mot_de_passe');
	  $reponse = $bdd->query('SELECT ID,nom,prenom,age FROM eleves WHERE nom=\''.$nom.'\'');
      // --- Mise en forme dans un tableau du retour de la requête SQL ---
      while ($donnees = $reponse->fetch())
      {
	    echo '<tr>';
	    echo '<td>'.$donnees['ID'].'</td>';
	    echo '<td>'.$donnees['nom'].'</td>';
	    echo '<td>'.$donnees['prenom'].'</td>';
	    echo '<td>'.$donnees['age'].'</td>';
	    echo '<tr>';
      }
      $reponse->closeCursor();
    ?>
    <!-- Fin du programme PHP -->
      </table>
    </body>
</html>
